%bcond_without check
%bcond_without doc

%global pypi_name dcrpm

Name:           python-%{pypi_name}
Version:        0.6.3
Release:    4%{?dist}
Summary:        A tool to detect and correct common issues around RPM database corruption

License:        GPLv2
URL:            https://github.com/facebookincubator/dcrpm
Source0:         %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(setuptools)
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(testslide)
BuildRequires:  dnf
BuildRequires:  libdb-utils
BuildRequires:  lsof
%endif
%if %{with doc}
BuildRequires:  python3dist(pypandoc)
%endif

%global _description %{expand:
dcrpm is a tool to detect and correct common issues around RPM database
corruption.}

%description %{_description}


%package -n     %{pypi_name}
Summary:        %{summary}

Requires:       python3dist(psutil)
Requires:       python3dist(setuptools)
Requires:       lsof
Recommends:     libdb-utils

%description -n %{pypi_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed -e '\|#!/usr/bin/env python|d' -i dcrpm/*.py
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%check
%if %{with check}
%pytest -v --deselect=tests/test_end_to_end.py::DcrpmIntegrationTest::test_rpmdb_centos7_missing_index
%endif


%files -n %{pypi_name}
%license LICENSE
%doc README.md CONTRIBUTING.md CODE_OF_CONDUCT.md
%doc HISTORY.md MANUAL_RPM_CLEANUP.md
%{_bindir}/dcrpm
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.6.3-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.6.3-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.6.3-2
- Rebuilt for loongarch64

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.3-1
- initial build
